unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  regions, wavctrl, MediaLib, ExtCtrls, mediabtn;

type
  TfrmMain = class(TForm)
    mlRegionForm: TmlRegionForm;
    wavSwitch: TmlWavePlayer;
    wavClick: TmlWavePlayer;
    btnKinds: TmlMediaButton;
    bmpMarble: TmlBitmap;
    btnMorph: TmlMediaButton;
    btnWall: TmlMediaButton;
    btnAbout: TmlMediaButton;
    btnClose: TmlMediaButton;
    btnReg: TmlMediaButton;
    btnLL: TmlMediaButton;
    btnCG: TmlMediaButton;
    mlMediaButton1: TmlMediaButton;
    procedure btnWallClick(Sender: TObject);
    procedure btnCloseClick(Sender: TObject);
    procedure btnMorphClick(Sender: TObject);
    procedure btnKindsClick(Sender: TObject);
    procedure btnRegClick(Sender: TObject);
    procedure btnAboutClick(Sender: TObject);
    procedure btnLLClick(Sender: TObject);
    procedure btnCGClick(Sender: TObject);
    procedure mlMediaButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}

uses frmOld, frmor, frmKnd, frmLLd, frmBlurd, frmEff, ShellAPI, About;

procedure TfrmMain.btnWallClick(Sender: TObject);
begin
  frmOldVersion.ShowModal;
end;

procedure TfrmMain.btnCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmMain.btnMorphClick(Sender: TObject);
begin
  frmMorph.ShowModal;
end;

procedure TfrmMain.btnKindsClick(Sender: TObject);
begin
  frmKinds.ShowModal;
end;

procedure TfrmMain.btnRegClick(Sender: TObject);
begin
  ShellExecute(0, 'open', 'http://www.ita.eastsib.ru/indexreg.html',
    nil, nil, SW_SHOWNORMAL);
end;

procedure TfrmMain.btnAboutClick(Sender: TObject);
begin
  frmAbout.ShowModal;
end;

procedure TfrmMain.btnLLClick(Sender: TObject);
begin
  /// Light Label Buttons
  frmLLDemo.ShowModal;
end;

procedure TfrmMain.btnCGClick(Sender: TObject);
begin
  // Blur Buttons
  frmBlurDemo.ShowModal;
end;

procedure TfrmMain.mlMediaButton1Click(Sender: TObject);
begin
  // Image Effects
  frmEffDemo.ShowModal;
end;


end.
